---
lang: en
title: 'API docs: core.lifecycleobserverregistry.setorderedgroups'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.setorderedgroups.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [setOrderedGroups](./core.lifecycleobserverregistry.setorderedgroups.md)

## LifeCycleObserverRegistry.setOrderedGroups() method

<b>Signature:</b>

```typescript
setOrderedGroups(groups: string[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  groups | <code>string[]</code> |  |

<b>Returns:</b>

`void`


